Subject: Re: [sipcore] [Technical Errata Reported] RFC5502 (4648)

From: Brett Tate <[email-masked]>
Date: Thu, 31 Mar 2016 07:36:46 -0400

Copying sipcore since similar errata being discussed.

> -----Original Message-----
> From: Brett Tate [mailto:[email-masked]]
> Sent: Tuesday, March 29, 2016 10:23 AM
> To: 'RFC Errata System'; [email-masked]';
[email-masked]'
> Subject: RE: [Technical Errata Reported] RFC5502 (4648)
>
> Hi,
>
> My proposed resolution is similar to what occurred within RFC 3325
errata
> (3744 and 3894).
>
> > -----Original Message-----
> > From: RFC Errata System [mailto:[email-masked]]
> > Sent: Tuesday, March 29, 2016 9:54 AM
> > To: [email-masked]; [email-masked]
> > Cc: [email-masked]; [email-masked]
> > Subject: [Technical Errata Reported] RFC5502 (4648)
> >
> > The following errata report has been submitted for RFC5502, "The SIP
> > P- Served-User Private-Header (P-Header) for the 3GPP IP Multimedia
> > (IM) Core Network (CN) Subsystem".
> >
> > --------------------------------------
> > You may review the report below and at:
> > http://www.rfc-editor.org/errata_search.php?rfc=5502&eid=4648
> >
> > --------------------------------------
> > Type: Technical
> > Reported by: Brett Tate <[email-masked]>
> >
> > Section: 6
> >
> > Original Text
> > -------------
> > EQUAL, HCOLON, SEMI, name-addr, addr-spec, and generic-param are
> > defined in RFC 3261 [2].
> >
> >
> > Corrected Text
> > --------------
> > EQUAL, HCOLON, SEMI, name-addr, addr-spec, and generic-param are
> > defined in RFC 3261 [2].
> >
> > If the URI contains a comma, question mark or semicolon, the URI MUST
> > be enclosed in angle brackets (< and >).
> >
> > Notes
> > -----
> > If addr-spec is used when there are parameters, it is ambiguous if the
> > parameters are URI parameters or served-user-param.  For consistency
> > with RFC
> > 3261 section 20, the same bracket rule is indicated even if comma and
> > question mark do not cause an issue.
> >
> > Instructions:
> > -------------
> > This erratum is currently posted as "Reported". If necessary, please
> > use "Reply All" to discuss whether it should be verified or rejected.
> > When a decision is reached, the verifying party (IESG) can log in to
> > change the status and edit the report, if necessary.
> >
> > --------------------------------------
> > RFC5502 (draft-vanelburg-sipping-served-user-08)
> > --------------------------------------
> > Title               : The SIP P-Served-User Private-Header (P-Header)
for
> the
> > 3GPP IP Multimedia (IM) Core Network (CN) Subsystem
> > Publication Date    : April 2009
> > Author(s)           : J. van Elburg
> > Category            : INFORMATIONAL
> > Source              : IETF - NON WORKING GROUP
> > Area                : N/A
> > Stream              : IETF
> > Verifying Party     : IESG

---

From: Paul Kyzivat <[email-masked]>
Date: Thu, 31 Mar 2016 10:07:29 -0400

ISTM that it would be good to discuss all of these together, and perhaps 
solicit pointers to any others that need a similar fix.

	Thanks,
	Paul

On 3/31/16 7:36 AM, Brett Tate wrote:
> _______________________________________________
> sipcore mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sipcore
>

---

From: Brett Tate <[email-masked]>
Date: Thu, 31 Mar 2016 10:46:46 -0400

Hi,

I agree; that was why I sent the following email in October 2013 while
sipcore was working on similar errata for RFC 3325.  I used that email and
aspects of the RFC 3325 errata to produce the recent errata for RFC 3515,
RFC 5002, RFC 5318, RFC 5360, and RFC 5502.  I have not check any headers
register with IANA since October 2013.

http://www.ietf.org/mail-archive/web/sipcore/current/msg05731.html

Thanks,
Brett

> From: sipcore [mailto:[email-masked]] On Behalf Of Paul
Kyzivat
> Sent: Thursday, March 31, 2016 10:07 AM
> To: [email-masked]
> Subject: Re: [sipcore] [Technical Errata Reported] RFCs 3515, 5502,
5360, ...
> >>> If the URI contains a comma, question mark or semicolon, the URI
> >>> MUST be enclosed in angle brackets (< and >).
> >>>
> >>> Notes
> >>> -----
> >>> If addr-spec is used when there are parameters, it is ambiguous if
> >>> the parameters are URI parameters or served-user-param.  For
> >>> consistency with RFC
> >>> 3261 section 20, the same bracket rule is indicated even if comma
> >>> and question mark do not cause an issue.
> >>>
> >>> Instructions:
> >>> -------------

---

From: [email-masked] (Dale R. Worley)
Date: Thu, 31 Mar 2016 17:48:27 -0400

> http://www.ietf.org/mail-archive/web/sipcore/current/msg05731.html

Why don't we put in an erratum that edits RFC 3261 section 20.10.  The
old text is:

   Even if the "display-name" is empty, the "name-addr" form MUST be
   used if the "addr-spec" contains a comma, semicolon, or question
   mark.  There may or may not be LWS between the display-name and the
   "<".

The new text adds:

   In any header field whose value syntax is 
       (name-addr / addr-spec) *(SEMI generic-param)
   or
       (name-addr / addr-spec) *(SEMI generic-param)
           *(COMMA (name-addr / addr-spec) *(SEMI generic-param))
   the "addr-spec" alternative may not be used if its value would
   contain a comma, semicolon, or question mark.

In a sense, that's what everybody *thinks* RFC 3261 requires.

Dale

---

From: Robert Sparks <[email-masked]>
Date: Thu, 31 Mar 2016 17:08:55 -0500

Again, I don't think errata is the right way to skin this.
<http://mailarchive.ietf.org/arch/msg/sipcore/OZN1Eey88Ksex8fia20fCZH_8qE>

RjS